Skip to main content
PATCH
JavaScript

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Body

application/json

Partially update an existing feature. Only provided fields are updated.

displayName
string

The display name for the feature

Maximum string length: 255
description
string

The description for the feature

Maximum string length: 255
featureUnits
string

The units for the feature

Maximum string length: 255
featureUnitsPlural
string

The plural units for the feature

Maximum string length: 255
metadata
object

The additional metadata for the feature

unitTransformation
object | null

Unit transformation to be applied to the reported usage

enumConfiguration
object[]

The configuration data for the feature

Required array length: 1 - 255 elements
meter
object

Response

The updated feature object.

Response object

data
Feature · object
required

Feature configuration object